[WPE] Bump dependencies to wpe-1.0 and wpebackend-fdo-1.0
authoraperez@igalia.com <aperez@igalia.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Mon, 18 Mar 2019 11:02:38 +0000 (11:02 +0000)
committeraperez@igalia.com <aperez@igalia.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Mon, 18 Mar 2019 11:02:38 +0000 (11:02 +0000)
https://bugs.webkit.org/show_bug.cgi?id=195786

Reviewed by Philippe Normand.

.:

* Source/cmake/FindWPE.cmake: Check for the wpe-1.0 pkg-config package.

Source/WebKit:

* wpe/wpe-web-extension.pc.in: Change dependency to wpe-1.0
* wpe/wpe-webkit.pc.in: Ditto.

Tools:

* flatpak/org.webkit.WPEModules.yaml: Use libwpe 1.1.90 and wpebackend-fdo 1.1.91.
* wpe/jhbuild.modules: Ditto.

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@243060 268f45cc-cd09-0410-ab3c-d52691b4dbfc

ChangeLog
Source/WebKit/ChangeLog
Source/WebKit/wpe/wpe-web-extension.pc.in
Source/WebKit/wpe/wpe-webkit.pc.in
Source/cmake/FindWPE.cmake
Tools/ChangeLog
Tools/flatpak/org.webkit.WPEModules.yaml
Tools/wpe/jhbuild.modules

index 619ba25..a445284 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,12 @@
+2019-03-18  Adrian Perez de Castro  <aperez@igalia.com>
+
+        [WPE] Bump dependencies to wpe-1.0 and wpebackend-fdo-1.0
+        https://bugs.webkit.org/show_bug.cgi?id=195786
+
+        Reviewed by Philippe Normand.
+
+        * Source/cmake/FindWPE.cmake: Check for the wpe-1.0 pkg-config package.
+
 2019-03-11  Xan Lopez  <xan@igalia.com>
 
         [CMake] Build 32bit binaries on Linux/64bit when the --32-bit is passed to build-jsc
index a3ddad9..96006eb 100644 (file)
@@ -1,3 +1,13 @@
+2019-03-18  Adrian Perez de Castro  <aperez@igalia.com>
+
+        [WPE] Bump dependencies to wpe-1.0 and wpebackend-fdo-1.0
+        https://bugs.webkit.org/show_bug.cgi?id=195786
+
+        Reviewed by Philippe Normand.
+
+        * wpe/wpe-web-extension.pc.in: Change dependency to wpe-1.0
+        * wpe/wpe-webkit.pc.in: Ditto.
+
 2019-03-17  Fujii Hironori  <Hironori.Fujii@sony.com>
 
         [iOS] Block the accessibility server when accessibility is not enabled.
index e52ebff..c98e88f 100644 (file)
@@ -7,6 +7,6 @@ Name: WPE WebKit Web process extensions
 Description: Embeddable Web content engine - Web process extensions
 URL: https://wpewebkit.org
 Version: @PROJECT_VERSION@
-Requires: glib-2.0 libsoup-2.4 wpe-0.2
+Requires: glib-2.0 libsoup-2.4 wpe-1.0
 Libs: -L${libdir} -lWPEWebKit-@WPE_API_VERSION@
 Cflags: -I${includedir}/wpe-webkit-@WPE_API_VERSION@
index 5564d22..bad9343 100644 (file)
@@ -7,6 +7,6 @@ Name: WPE WebKit
 Description: Embeddable Web content engine
 URL: https://wpewebkit.org
 Version: @PROJECT_VERSION@
-Requires: glib-2.0 libsoup-2.4 wpe-0.2
+Requires: glib-2.0 libsoup-2.4 wpe-1.0
 Libs: -L${libdir} -lWPEWebKit-@WPE_API_VERSION@
 Cflags: -I${includedir}/wpe-webkit-@WPE_API_VERSION@
index 3a76569..597cee7 100644 (file)
@@ -29,7 +29,7 @@
 # ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
 find_package(PkgConfig)
-pkg_check_modules(PC_WPE QUIET wpe-0.2)
+pkg_check_modules(PC_WPE QUIET wpe-1.0)
 
 find_path(WPE_INCLUDE_DIRS
     NAMES wpe/wpe.h
@@ -37,7 +37,7 @@ find_path(WPE_INCLUDE_DIRS
 )
 
 find_library(WPE_LIBRARIES
-    NAMES wpe-0.2 wpe
+    NAMES wpe-1.0
     HINTS ${PC_WPE_LIBDIR} ${PC_WPE_LIBRARY_DIRS}
 )
 
index 6b82992..bd13419 100644 (file)
@@ -1,3 +1,13 @@
+2019-03-18  Adrian Perez de Castro  <aperez@igalia.com>
+
+        [WPE] Bump dependencies to wpe-1.0 and wpebackend-fdo-1.0
+        https://bugs.webkit.org/show_bug.cgi?id=195786
+
+        Reviewed by Philippe Normand.
+
+        * flatpak/org.webkit.WPEModules.yaml: Use libwpe 1.1.90 and wpebackend-fdo 1.1.91.
+        * wpe/jhbuild.modules: Ditto.
+
 2019-03-16  Aakash Jain  <aakash_jain@apple.com>
 
         [ews-build] Don't run clean builds on EWS builders
index 54391b6..b4ddde4 100644 (file)
@@ -2,11 +2,11 @@
   buildsystem: cmake-ninja
   sources:
     - type: archive
-      url: https://wpewebkit.org/releases/libwpe-1.1.0.tar.xz
-      sha256: 72e34ad754be11abd1a438cfe195d8d644c52105ab2b1c3b39dec6228bc776ce
+      url: https://wpewebkit.org/releases/libwpe-1.1.90.tar.xz
+      sha256: d21dcf83f7e7405e8296c1732d240637d2facdb40e1c9879a1c0f9f222517592
 - name: wpebackend-fdo
   buildsystem: cmake-ninja
   sources:
-    - type: git
-      url: https://github.com/Igalia/wpebackend-fdo.git
-      commit: fa227dac7c6a133d62b35d7a6af0332582b64d4d
+    - type: archive
+      url: https://wpewebkit.org/releases/wpebackend-fdo-1.1.91.tar.xz
+      sha256: d20e5688e3e6d9fdf1c3ee083ea14720bf59354aa17f275a003b030e8131315d
index ac0db0b..387158b 100644 (file)
   </autotools>
 
   <cmake id="libwpe">
-      <branch repo="wpewebkit" module="libwpe-1.1.0.tar.xz" version="1.1.0"
-              hash="sha256:72e34ad754be11abd1a438cfe195d8d644c52105ab2b1c3b39dec6228bc776ce"/>
+      <branch repo="wpewebkit" module="libwpe-1.1.90.tar.xz" version="1.1.90"
+              hash="sha256:d21dcf83f7e7405e8296c1732d240637d2facdb40e1c9879a1c0f9f222517592"/>
   </cmake>
 
   <cmake id="wpebackend-fdo">
       <dep package="libwpe"/>
       <dep package="glib"/>
     </dependencies>
-    <branch repo="github.com" module="Igalia/wpebackend-fdo.git" checkoutdir="wpebackend-fdo"
-            tag="fa227dac7c6a133d62b35d7a6af0332582b64d4d"/>
+    <branch repo="wpewebkit" module="wpebackend-fdo-1.1.91.tar.xz" version="1.1.91"
+            hash="sha256:d20e5688e3e6d9fdf1c3ee083ea14720bf59354aa17f275a003b030e8131315d"/>
   </cmake>
 
   <autotools id="libgpg-error" autogen-sh="configure">